# smesh.Mesh_Hexahedron Class Reference

Class to define a hexahedron 3D algorithm. More...

Inheritance diagram for smesh.Mesh_Hexahedron:

## Public Member Functions
def | __init__
| Private constructor.
def | GetSubMesh
| If the algorithm is global, return 0; else return the submesh associated to this algorithm.
def | GetAlgorithm
| Return the wrapped mesher.
def | GetCompatibleHypothesis
| Get list of hypothesis that can be used with this algorithm.
def | GetName
| Get name of algo.
def | SetName
| Set name to algo.
def | GetId
| Get id of algo.
def | TreatHypoStatus
| Private method.
def | Create
| Private method.
def | Hypothesis
| Private method.
## Data Fields
| mesh
| geom
| subm
| algo
## Static Public Attributes
int | mesh = 0
int | geom = 0
int | subm = 0
int | algo = 0

## Detailed Description

More details.

## Member Function Documentation

def smesh.Mesh_Hexahedron.__init__ | ( |  | self,
|  |  | mesh,
|  |  | geom = `0`
| ) |

def smesh.Mesh_Algorithm.GetSubMesh | ( |  | self | ) | `[inherited]`

def smesh.Mesh_Algorithm.GetAlgorithm | ( |  | self | ) | `[inherited]`

def smesh.Mesh_Algorithm.GetCompatibleHypothesis | ( |  | self | ) | `[inherited]`

def smesh.Mesh_Algorithm.GetName | ( |  | self | ) | `[inherited]`

def smesh.Mesh_Algorithm.SetName | ( |  | self,
|  |  | name
| ) | `[inherited]`

def smesh.Mesh_Algorithm.GetId | ( |  | self | ) | `[inherited]`

def smesh.Mesh_Algorithm.TreatHypoStatus | ( |  | self,
|  |  | status,
|  |  | hypName,
|  |  | geomName,
|  |  | isAlgo
| ) | `[inherited]`

| Print error message if a hypothesis was not assigned.

def smesh.Mesh_Algorithm.Create | ( |  | self,
|  |  | mesh,
|  |  | geom,
|  |  | hypo,
|  |  | so = `"libStdMeshersEngine.so"`
| ) | `[inherited]`

def smesh.Mesh_Algorithm.Hypothesis | ( |  | self,
|  |  | hyp,
|  |  | args = `[]`,
|  |  | so = `"libStdMeshersEngine.so"`
| ) | `[inherited]`

## Field Documentation

int smesh.Mesh_Algorithm.mesh = 0`[static, inherited]`

smesh.Mesh_Algorithm.mesh`[inherited]`

int smesh.Mesh_Algorithm.geom = 0`[static, inherited]`

smesh.Mesh_Algorithm.geom`[inherited]`

int smesh.Mesh_Algorithm.subm = 0`[static, inherited]`

smesh.Mesh_Algorithm.subm`[inherited]`

int smesh.Mesh_Algorithm.algo = 0`[static, inherited]`

smesh.Mesh_Algorithm.algo`[inherited]`